---
title: Chef Habitat 0.62.0 Released
date: 2018-08-31
author: Chris Nunciato
tags: release notes
category: product
classes: body-article
---

Habitat 0.62.0 Release Notes

We are happy to announce the release of Chef Habitat 0.62.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/install-habitat/). Thanks again for using Chef Habitat!

### New Features & Enhancements

* Shut down the supervisor (but not services) when SIGHUP is received [#5445](https://github.com/habitat-sh/habitat/pull/5445) ([baumanj](https://github.com/baumanj)). This allows for the same no-service-downtime upgrades to the supervisor as auto-updating does, but allows the user to manually control what supervisor version is installed and when.

* Implement binlink for Windows [#5513](https://github.com/habitat-sh/habitat/pull/5513) ([mwrock](https://github.com/mwrock)). Chef Habitat will create “binstub” batch files in `C:\hab\bin` that will invoke the target executable in the binlinked package. Unless a specific binary is specified, binstubs will be created for all files with an extension included in the PATHEXT environment variable. `C:\hab\bin` will be automatically added to the `PATH` of a Chef Habitat Studio. The `hab setup` command can be used to add it to the local machine `PATH`.

### Behavioral Changes

* Add a supervisor version requirement checked by the launcher [#5484](https://github.com/habitat-sh/habitat/pull/5484) ([baumanj](https://github.com/baumanj)). Launcher updates do not happen by default, but should you upgrade to this version, it will require that the supervisor it launches be v0.56 or later. See [issue 5300](https://github.com/habitat-sh/habitat/issues/5300) for more.

### Bug Fixes

* Fix windows studiobinlink regression [#5520](https://github.com/habitat-sh/habitat/pull/5520) ([mwrock](https://github.com/mwrock))
* Fix composite bindings [#5517](https://github.com/habitat-sh/habitat/pull/5517) ([christophermaier](https://github.com/christophermaier))
* Fix invalid desired state when using new hab with < 0.61 sup [#5519](https://github.com/habitat-sh/habitat/pull/5519) ([jeremymv2](https://github.com/jeremymv2))
* Don't require protoc in package builds [#5515](https://github.com/habitat-sh/habitat/pull/5515) ([christophermaier](https://github.com/christophermaier))
* Update sup-protocol protocol generation process [#5506](https://github.com/habitat-sh/habitat/pull/5506) ([christophermaier](https://github.com/christophermaier))
* Relax the version pins for the various prost crates [#5501](https://github.com/habitat-sh/habitat/pull/5501) ([baumanj](https://github.com/baumanj))
* Service group cleanup [#5500](https://github.com/habitat-sh/habitat/pull/5500) ([baumanj](https://github.com/baumanj))
* Relax rusoto version pins [#5493](https://github.com/habitat-sh/habitat/pull/5493) ([baumanj](https://github.com/baumanj))
* Relax the version pin for the uuid crate [#5492](https://github.com/habitat-sh/habitat/pull/5492) ([baumanj](https://github.com/baumanj))
* fix powershell pkg_svc_run when run outside of a studio [#5486](https://github.com/habitat-sh/habitat/pull/5486) ([mwrock](https://github.com/mwrock))
* Resolve FS_ROOT to well formed windows absolute path in studio [#5488](https://github.com/habitat-sh/habitat/pull/5488) ([mwrock](https://github.com/mwrock))
* [hab] Support -V (--version) flag on subcommands [#5476](https://github.com/habitat-sh/habitat/pull/5476) ([stevendanna](https://github.com/stevendanna))
* Relax the version pin for the rand crate [#5487](https://github.com/habitat-sh/habitat/pull/5487) ([baumanj](https://github.com/baumanj))
* Update Cargo.lock to latest, locking versions of dependencies that break [#5468](https://github.com/habitat-sh/habitat/pull/5468) ([baumanj](https://github.com/baumanj))
* Revert "Make docker studio behave like chroot studio" [#5474](https://github.com/habitat-sh/habitat/pull/5474) ([elliott-davis](https://github.com/elliott-davis))

### Merged Pull Requests

* Fix linux resolution of FS_ROOT_ENVVAR in hab commands and the splitting and joining of PATH dirs in setup [#5531](https://github.com/habitat-sh/habitat/pull/5531) ([mwrock](https://github.com/mwrock))
* A few clarifications [#5512](https://github.com/habitat-sh/habitat/pull/5512) ([raskchanky](https://github.com/raskchanky))
* update habitat core to latest master [#5522](https://github.com/habitat-sh/habitat/pull/5522) ([mwrock](https://github.com/mwrock))
* add Liz as codeowner of CLI UX related files [#5504](https://github.com/habitat-sh/habitat/pull/5504) ([apriofrost](https://github.com/apriofrost))
* Blog fix, adding newlines to render bulleted lists correctly. [#5499](https://github.com/habitat-sh/habitat/pull/5499) ([skpaterson](https://github.com/skpaterson))
* Adding Chef Habitat lift and Shift blog post. [#5473](https://github.com/habitat-sh/habitat/pull/5473) ([skpaterson](https://github.com/skpaterson))
* take a write lock when persisting rumors to disk [#5495](https://github.com/habitat-sh/habitat/pull/5495) ([mwrock](https://github.com/mwrock))
* fix rootless studio issues with reuse and key exporting [#5494](https://github.com/habitat-sh/habitat/pull/5494) ([mwrock](https://github.com/mwrock))
* Use common configuration values in release pipeline [#5477](https://github.com/habitat-sh/habitat/pull/5477) ([christophermaier](https://github.com/christophermaier))
* Add debug tips for Window users [#5450](https://github.com/habitat-sh/habitat/pull/5450) ([bdangit](https://github.com/bdangit))
* explicitly error when attempting to remove a docker studio [#5485](https://github.com/habitat-sh/habitat/pull/5485) ([mwrock](https://github.com/mwrock))
* Add myself to supervisor related things [#5480](https://github.com/habitat-sh/habitat/pull/5480) ([raskchanky](https://github.com/raskchanky))
* Add updating Cargo.lock to release procedure documentation [#5475](https://github.com/habitat-sh/habitat/pull/5475) ([baumanj](https://github.com/baumanj))
* studio run should not be interactive [#5469](https://github.com/habitat-sh/habitat/pull/5469) ([mwrock](https://github.com/mwrock))
* Bring back column-aligned svc status [#5471](https://github.com/habitat-sh/habitat/pull/5471) ([stevendanna](https://github.com/stevendanna))
* Don't segfault plan init on io::Error [#5463](https://github.com/habitat-sh/habitat/pull/5463) ([adamhjk](https://github.com/adamhjk))
* [butterfly] Make DatFile write more durable [#5461](https://github.com/habitat-sh/habitat/pull/5461) ([stevendanna](https://github.com/stevendanna))
* [common] Remove a now unused dependency in habitat-sh/builder. [#5455](https://github.com/habitat-sh/habitat/pull/5455) ([fnichol](https://github.com/fnichol))
* move launcher plans out of habitat dir to match other components [#5443](https://github.com/habitat-sh/habitat/pull/5443) ([mwrock](https://github.com/mwrock))
* Bump to 0.62.0-dev [#5458](https://github.com/habitat-sh/habitat/pull/5458) ([raskchanky](https://github.com/raskchanky))
